Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity.model
Class EntityImpl<E>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.model.EntityImpl<E>

All Implemented Interfaces:
  Entity<E>

Direct Known Subclasses:
  HLEntityImpl

    public class EntityImpl<E>

extends Object
implements Entity<E>

Field Summary
`private E` | `obj`
`private fr.inrialpes.exmo.ontowrap.LoadedOntology<E>` | `onto`

Constructor Summary
`EntityImpl(fr.inrialpes.exmo.ontowrap.LoadedOntology<E> ont, E e)`

Method Summary
`Set<String>` | `getAnnotations(String lang)`
`Set<String>` | `getComments(String lang)`
`Set<String>` | `getLabels(String lang)`
`E` | `getObject()`
`fr.inrialpes.exmo.ontowrap.LoadedOntology<E>` | `getOntology()`
`URI` | `getURI()`
`boolean` | `isClass()`
`boolean` | `isDataProperty()`
`boolean` | `isIndividual()`
`boolean` | `isObjectProperty()`
`boolean` | `isProperty()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### onto

    private fr.inrialpes.exmo.ontowrap.LoadedOntology<E> onto

### obj

    private E obj

Constructor Detail

### EntityImpl

    public EntityImpl(fr.inrialpes.exmo.ontowrap.LoadedOntology<E> ont,
                      E e)

Method Detail

### getAnnotations

    public Set<String> getAnnotations(String lang)

  Specified by:
    `getAnnotations` in interface `Entity<E>`

### getComments

    public Set<String> getComments(String lang)

  Specified by:
    `getComments` in interface `Entity<E>`

### getLabels

    public Set<String> getLabels(String lang)

  Specified by:
    `getLabels` in interface `Entity<E>`

### getObject

    public E getObject()

  Specified by:
    `getObject` in interface `Entity<E>`

### getOntology

    public fr.inrialpes.exmo.ontowrap.LoadedOntology<E> getOntology()

  Specified by:
    `getOntology` in interface `Entity<E>`

### getURI

    public URI getURI()

  Specified by:
    `getURI` in interface `Entity<E>`

### isClass

    public boolean isClass()

  Specified by:
    `isClass` in interface `Entity<E>`

### isDataProperty

    public boolean isDataProperty()

  Specified by:
    `isDataProperty` in interface `Entity<E>`

### isIndividual

    public boolean isIndividual()

  Specified by:
    `isIndividual` in interface `Entity<E>`

### isObjectProperty

    public boolean isObjectProperty()

  Specified by:
    `isObjectProperty` in interface `Entity<E>`

### isProperty

    public boolean isProperty()

  Specified by:
    `isProperty` in interface `Entity<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009